@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const criterion = await nova.criteriaLibrary.get("lib_abc123");curl -X GET "https://embed.nova.dweet.com/v1/criteria-library/lib_abc123" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"criterion": {
"id": "<string>",
"text": "<string>",
"importance": "MUST_HAVE",
"category": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Criteria Library
Get Library Criterion
Retrieve a single criterion from the tenant criteria library
GET
/
v1
/
criteria-library
/
{criterionId}
@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const criterion = await nova.criteriaLibrary.get("lib_abc123");curl -X GET "https://embed.nova.dweet.com/v1/criteria-library/lib_abc123" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"criterion": {
"id": "<string>",
"text": "<string>",
"importance": "MUST_HAVE",
"category": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Use this endpoint to fetch a saved library criterion by ID.
Authorizations
Use Authorization: Bearer sk_test_* or Authorization: Bearer sk_live_*.
Headers
Your customer identifier. Tenants are auto-provisioned on first request.
Path Parameters
Criterion ID.
Response
Library criterion
Show child attributes
Show child attributes
Was this page helpful?